---
features:
  secondary:
  - name: "Automatic disabling of failing webhooks"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/integrations/webhooks.html#failing-webhooks'
    image_url: '/images/unreleased/Auto-disable_failing_webhooks-screenshot-nov-9.png'
    reporter: g.hickman
    stage: manage
    categories:
    - Integrations
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/8083'
    description: |
      To protect GitLab and users across the system from any potential abuse or misuse, we've implemented a feature to disable webhooks that fail consistently.

      - Webhooks that return response codes in the `5xx` range are understood to be failing intermittently and are temporarily disabled. These webhooks are initially disabled for 1 minute, which is extended on each retry up to a maximum of 24 hours.
      - Webhooks that fail with `4xx` errors are permanently disabled.

      All project owners and maintainers are alerted in the app to investigate and re-enable any failed webhooks.

      This feature is now available on GitLab.com and self-managed instances along with feature enhancements including [handling cold starts](https://gitlab.com/gitlab-org/gitlab/-/issues/375147).
